# $Revision: 1.52 $, $Date: 2011/07/12 19:21:53 $
Summary:	Various utilities for manipulating Type 1 and 2 font programs
Summary(pl.UTF-8):	Różne narzędzia do operowania na fontach Type 1 i 2
Name:		t1utils
Version:	1.37
Release:	1
License:	BSD
Group:		Applications/File
Source0:	http://www.lcdf.org/~eddietwo/type/%{name}-%{version}.tar.gz
# Source0-md5:	dcff07df0b334c06d1808530956a634e
URL:		http://www.lcdf.org/~eddietwo/type/#t1utils
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
t1utils is a collection of simple Type 1 and 2 font manipulation
programs. Together, they allow you to convert between PFA (ASCII) and
PFB (binary) formats, disassemble PFA or PFB files into human-readable
form, reassemble them into PFA or PFB format. Additionally you can
extract font resources from a Macintosh font file (ATM/Laserwriter).

%description -l pl.UTF-8
t1utils jest zestawem prostych programów do operowania na fontach
Type 1 i 2. Narzędzia te pozwalają na konwersję pomiędzy formatami PFA
(ASCII) i PFB (binarnym), przekodowanie z PFA lub PFB do postaci
"czytelnej dla człowieka", następnie ponowne złożenie do formatu PFA
lub PFB. Dodatkowo możliwe jest wyciągnięcie fontów z plików fontów z
Macintosha (ATM/Laserwriter).

%prep
%setup -q

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/t1ascii
%attr(755,root,root) %{_bindir}/t1asm
%attr(755,root,root) %{_bindir}/t1binary
%attr(755,root,root) %{_bindir}/t1disasm
%attr(755,root,root) %{_bindir}/t1mac
%attr(755,root,root) %{_bindir}/t1unmac
%{_mandir}/man1/t1ascii.1*
%{_mandir}/man1/t1asm.1*
%{_mandir}/man1/t1binary.1*
%{_mandir}/man1/t1disasm.1*
%{_mandir}/man1/t1mac.1*
%{_mandir}/man1/t1unmac.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: t1utils.spec,v $
Revision 1.52  2011/07/12 19:21:53  qboosh
- updated to 1.37

Revision 1.51  2011/01/29 00:07:26  sparky
- dropped pre-cvs changelog

Revision 1.50  2010/11/13 17:45:27  qboosh
- updated to 1.36
- removed obsolete gcc4 patch

Revision 1.49  2009/10/26 09:40:41  sls
- typo

Revision 1.48  2009/10/26 09:38:48  sls
- added gcc4.patch
- more ac/am regeneration

Revision 1.47  2008/01/13 16:56:06  qboosh
- updated to 1.33 (fixes memory corruption bug)

Revision 1.46  2007-09-05 13:55:56  baggins
- rel 2

Revision 1.45  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.44  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.43  2004/10/29 13:36:57  paladine
- spelling fixes

Revision 1.42  2004/04/10 20:02:55  qboosh
- updated to 1.32

Revision 1.41  2004/01/21 23:19:35  qboosh
- updated to 1.30

Revision 1.40  2003/11/11 19:30:04  qboosh
- updated to 1.29

Revision 1.39  2003/08/15 18:08:09  qboosh
- pl fixes

Revision 1.38  2003/08/11 10:18:42  trojan
- updated to 1.28

Revision 1.37  2003/05/27 12:03:18  trojan
- added Source-md5

Revision 1.36  2003/05/25 06:27:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/03/27 10:51:55  wiget
- up to 1.27
- more informative licence

Revision 1.34  2002/11/29 22:46:44  ankry
- massive attack: new %%doc

Revision 1.33  2002/05/21 23:14:48  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.32  2002/05/13 06:33:49  kloczek
- updated to 1.26 (bugfixes).

Revision 1.31  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/01/18 02:15:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2002/01/13 13:58:23  kloczek
- updated to 1.25 (bugfix release).

Revision 1.28  2001/09/25 19:18:57  kloczek
- updated to 1.24.

Revision 1.27  2001/08/12 01:44:52  blues
- release 2
- pl translations
- ac 2.5 ready

Revision 1.26  2001/06/21 19:27:20  kloczek
- updated to 1.23.

Revision 1.25  2001/03/07 12:27:34  kloczek
- added pl Summary.

Revision 1.24  2001/03/07 09:29:24  wrobell
- updated to 1.22, stb

Revision 1.23  2001/02/10 15:52:49  kloczek
- updated to 1.21.

Revision 1.22  2000/10/04 03:24:41  kloczek
- release 2: use new rpm automation suit.

Revision 1.21  2000/06/23 11:42:15  kloczek
- updated to 1.20.

Revision 1.20  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.19  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/28 09:38:01  kloczek
- updated to 1.19,
- spec adapterized.

Revision 1.17  2000/05/01 20:57:21  kloczek
- updated to 1.17.

Revision 1.16  2000/04/05 09:15:18  kloczek
- updated to 1.15,
- more %doc.

Revision 1.15  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.13  2000/02/03 22:36:44  kloczek
- updated to 1.14,
- spec adapterized,
- DESTDIR style %install.

Revision 1.12  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
